Bug 772485 - Review Request: wmnd - Dockapp for monitoring network interfaces
Review Request: wmnd - Dockapp for monitoring network interfaces
Status: CLOSED DUPLICATE of bug 828891
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-08 14:33 EST by Mario Blättermann
Modified: 2012-07-11 16:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 16:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-01-08 14:33:20 EST
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmnd.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmnd-0.4.16-1.fc16.src.rpm
Description:
WMND is a dockapp for monitoring network interfaces under WindowMaker and other 
compatible window managers.

WMND can monitor multiple interfaces at the same time, sports several display 
modes and can also monitor remote interfaces through SNMP.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3630158
Comment 1 Christos Triantafyllidis 2012-01-08 17:25:30 EST
Hi Mario,
   an informal review for your package:

[CHECK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
- There are several warning/errors on rpmlint results:
wmnd.spec:28: E: use-of-RPM_SOURCE_DIR
wmnd.spec:44: W: macro-in-comment %doc
wmnd.src: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Dockage
wmnd.src: I: enchant-dictionary-not-found de
wmnd.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, dockage
wmnd.src:28: E: use-of-RPM_SOURCE_DIR
wmnd.src:44: W: macro-in-comment %doc
wmnd.src: W: file-size-mismatch wmnd-0.4.16.tar.gz = 188628, http://www.thregr.org/~wavexx/software/wmnd/releases/wmnd-0.4.16.tar.gz = 188614
wmnd.i686: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Dockage
wmnd.i686: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, dockage
wmnd.i686: W: unstripped-binary-or-object /usr/bin/wmnd
wmnd.i686: W: file-not-utf8 /usr/share/doc/wmnd/NEWS
wmnd.i686: E: incorrect-fsf-address /usr/share/doc/wmnd/COPYING
wmnd.x86_64: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Dockage
wmnd.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, dockage
wmnd.x86_64: W: unstripped-binary-or-object /usr/bin/wmnd
wmnd.x86_64: W: file-not-utf8 /usr/share/doc/wmnd/NEWS
wmnd.x86_64: E: incorrect-fsf-address /usr/share/doc/wmnd/COPYING
3 packages and 1 specfiles checked; 4 errors, 13 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines .
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
[CHECK] MUST: The package must meet the Packaging Guidelines .
- Check the comments on the other 'MUSTs'

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[CHECK] MUST: The License field in the package spec file must match the actual license. [3]
- The README states "... distributed under GNU GPL v2 or above ..." thus correct version should be "GPLv2+"

[CHECK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
- The %doc macro is hashed out
[OK] MUST: The spec file must be written in American English. [5]
[OK] MUST: The spec file for the package MUST be legible. [6]
[CHECK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
rpmlint complains about filesize so md5sum check should fail

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[OK] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[OK] MUST: Packages must NOT bundle copies of system libraries.[11]
[OK] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[OK] MUST: Each package must consistently use macros. [16]
[OK] MUST: The package must contain code, or permissable content. [17]
[OK] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[OK] MUST: Header files must be in a -devel package. [19]
[OK] MUST: Static libraries must be in a -static package. [20]
[OK] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[OK] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[OK] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[OK] MUST: All filenames in rpm packages must be valid UTF-8. [24]

[OK] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
[OK] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
[OK] SHOULD: The reviewer should test that the package builds in mock. [27]
- I trust koji's mock :)
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
[?] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
- Sorry not WindowMaker user
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
[OK] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]


So to sum up things you should check are:
- rpmlint reports
- license
- difference between upstream source and the one embedded in SRPM
- if the package works :)
Comment 2 Christos Triantafyllidis 2012-01-08 17:29:07 EST
BTW, shouldn't this have WindowMaker or something in "Requires:"? 

(sorry i'm not WindowMaker user)

Christos
Comment 3 Christos Triantafyllidis 2012-01-08 17:51:13 EST
Some more comments on SPEC file:

Replace:
zcat %{_sourcedir}/%{name}-%{version}.tar.gz | tar -xvzf -
with:
%setup -q

Your make should include Fedora's optflags:
http://fedoraproject.org/wiki/PackagingGuidelines#Compiler_flags
Comment 4 Mario Blättermann 2012-01-09 14:25:46 EST
(In reply to comment #2)
> BTW, shouldn't this have WindowMaker or something in "Requires:"? 
> 
> (sorry i'm not WindowMaker user)

No, not needed. Windowmaker dockapps are *designed* for Windowmaker and any other window manager which supports these applets (Fluxbox, Openbox, Pekwm, Afterstep...) but you can run them in any environment in windowed mode, too.

(In reply to comment #3)
> Some more comments on SPEC file:
> 
> Replace:
> zcat %{_sourcedir}/%{name}-%{version}.tar.gz | tar -xvzf -
> with:
> %setup -q
> 
Doesn't work in this case. The package seems to be gzipped in an odd manner, and the setup macro seems to be unable to detect it correctly.

I will have a look at the other issues next days.
Comment 5 Christos Triantafyllidis 2012-01-09 15:02:20 EST
Hi Mario,

   There should be some issue with the tar.gz you are using. Try re-downloading it from vendor:
Your tar.gz:
$ file wmnd-0.4.16.tar.gz 
wmnd-0.4.16.tar.gz: gzip compressed data, from Unix, last modified: Mon Aug 16 20:10:53 2010
$ tar -ztf wmnd-0.4.16.tar.gz 
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Exiting with failure status due to previous errors


The one at vendor's website:
$ file wmnd-0.4.16.tar.gz 
wmnd-0.4.16.tar.gz: gzip compressed data, from Unix, last modified: Mon Aug 16 20:10:11 2010, max compression
$ tar -ztf wmnd-0.4.16.tar.gz 
wmnd-0.4.16/
.... (other filenames) ....
wmnd-0.4.16/src/README.master.xpm


It looks like your SRPM embedded .tar.gz is gzipped:

$ gunzip wmnd-0.4.16.tar.gz 
$ file wmnd-0.4.16.tar 
wmnd-0.4.16.tar: gzip compressed data, from Unix, last modified: Mon Aug 16 20:10:11 2010, max compression
$ tar -ztf wmnd-0.4.16.tar 
wmnd-0.4.16/
.... (other filenames) ....
wmnd-0.4.16/src/README.master.xpm


This should also fix the file size mismatch.

Regards,
Christos
Comment 6 Mario Blättermann 2012-02-12 16:06:59 EST
(In reply to comment #5)
> 
> It looks like your SRPM embedded .tar.gz is gzipped:
> 
> $ gunzip wmnd-0.4.16.tar.gz 
> $ file wmnd-0.4.16.tar 
> wmnd-0.4.16.tar: gzip compressed data, from Unix, last modified: Mon Aug 16
> 20:10:11 2010, max compression
> $ tar -ztf wmnd-0.4.16.tar 
> wmnd-0.4.16/
> .... (other filenames) ....
> wmnd-0.4.16/src/README.master.xpm
> 
Unpacking the usual way doesn't work for me, sorry. Neither gzip nor tar nor File Roller are able the unpack it correctly. The way I use in the spec works.
> 
> This should also fix the file size mismatch.
> 
When I compare the hashes of the srpm tarball and the downloaded tarball, i get the following:

$ md5sum *
d8229eece41c9fd0fde12198ce85191a  wmnd-0.4.16.tar.gz
d8229eece41c9fd0fde12198ce85191a  wmnd-0.4.16.tar.gz.packaged
Comment 7 Christos Triantafyllidis 2012-02-12 16:24:38 EST
 Hi Mario,
   just to be clear, i did an informal review as i'm not sponsored to do a formal one. To my knowledge the way you unpack the tarball proves that you embed a gzipped tar.gz. I'm not sure if vendor provides such tarball (if this is the case i would advice you to contact them). 

   Regarding md5sum and filesizes this was report from rpmlint not mine :)

I hope that someone will help you soon to include this package in the dist by formally reviewing it.
Christos
Comment 8 Thomas Spura 2012-03-25 06:07:24 EDT
(In reply to comment #6)
> Unpacking the usual way doesn't work for me, sorry. Neither gzip nor tar nor
> File Roller are able the unpack it correctly. The way I use in the spec works.

"spectool -c wmnd.spec && tar -xf wmnd-0.4.16.tar.gz" works fine here...

> $ md5sum *
> d8229eece41c9fd0fde12198ce85191a  wmnd-0.4.16.tar.gz
> d8229eece41c9fd0fde12198ce85191a  wmnd-0.4.16.tar.gz.packaged


$ rpmdev-md5 wmnd-0.4.16-1.fc16.src.rpm 
317b6794d053283d0eb6dba27cf04356  wmnd-0.4.16-1.fc16.src.rpm
e7d2b2084872253ace998ec47ddf908a  wmnd.spec
d8229eece41c9fd0fde12198ce85191a  wmnd-0.4.16.tar.gz

$ md5sum wmnd-0.4.16.tar.gz 
7369b40f330506cd687a5d3a630208c4  wmnd-0.4.16.tar.gz

Seems like you have a different tarball packaged as downloaded with spectool...

Could you try it with spectool again please?

Another issue would be: it should be "eine Dockapp" - like "eine Applikation".
                                         ^
Comment 9 Mario Blättermann 2012-05-28 14:01:47 EDT
(In reply to comment #8) 
> "spectool -c wmnd.spec && tar -xf wmnd-0.4.16.tar.gz" works fine here...
>...
> Could you try it with spectool again please?
> 
[mariobl@t61 SPECS]$ spectool wmnd.spec && tar -xf wmnd-0.4.16.tar.gz
Source0: http://www.thregr.org/~wavexx/software/wmnd/releases/wmnd-0.4.16.tar.gz
tar: wmnd-0.4.16.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now

Doesn't work for me. Sorry. In other cases, e.g. when the upstream sources are no longer available, I was using the pool at dockapps.windowmaker.org.

In our case, the dockapp pool doesn't provide the 0.4.16, but the 0.4.15. There were no significant or bug-critical changes between these releases:

commit ab81744cb20cb2ad82f5004217e47a57eb380d00
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Aug 16 17:57:46 2010 +0200

    Fix build failure on FreeBSD 8.1

commit 6521413c6b88e9e8ac810ec1c313b6fddeb45734
Author: Yuri D'Elia <yuri.delia@eurac.edu>
Date:   Mon Jun 7 18:51:47 2010 +0200

    Spelling fixes.


I think I should use the 0.4.15 release (from dockapps.windowmaker.org) and eventually patch it to fix the spelling errors.

> Another issue would be: it should be "eine Dockapp" - like "eine
> Applikation".
>                                          ^

Weil es hier um die deutsche Beschreibung geht, weiter in Deutsch. Das Windowmaker-Dockapp ist schon lange ein Neutrum. Steht zwar so nicht im Duden, aber es ist so üblich. Zum Beispiel im Linuxuser:

http://www.linux-community.de/Internal/Artikel/Print-Artikel/LinuxUser/2000/10/Jo-s-alternativer-Desktop/%28article_body_offset%29/2

Die Windowmaker-Dockapps sind weitaus älter als die Apps aus den App Stores, Markets usw. deshalb wäre es aus meiner Sicht unnötig, das zu ändern.
Comment 10 Mario Blättermann 2012-06-03 12:43:50 EDT
New package is available:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmnd.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmnd-0.4.15-1.fc17.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4123503

$ cd /home/mariobl/Arbeitsfläche/wmnd
[mariobl@t61 wmnd]$ rpmlint -i -v *
wmnd.i686: I: checking
wmnd.i686: I: enchant-dictionary-not-found en_US
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

wmnd.i686: I: enchant-dictionary-not-found de
A dictionary for the Enchant spell checking library is not available for the
language given in the info message.  Spell checking will proceed with
rpmlint's built-in implementation for localized tags in this language. For
better spell checking results in this language, install the appropriate
dictionary that Enchant will use for this language, often for example
hunspell-* or aspell-*.

wmnd.i686: I: checking-url http://www.thregr.org/~wavexx/software/wmnd/ (timeout 10 seconds)
wmnd.i686: E: incorrect-fsf-address /usr/share/doc/wmnd-0.4.15/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmnd.src: I: checking
wmnd.src: I: checking-url http://www.thregr.org/~wavexx/software/wmnd/ (timeout 10 seconds)
wmnd.src: I: checking-url http://dockapps.windowmaker.org/download.php/id/827/wmnd-0.4.15.tar.gz (timeout 10 seconds)
wmnd.x86_64: I: checking
wmnd.x86_64: I: checking-url http://www.thregr.org/~wavexx/software/wmnd/ (timeout 10 seconds)
wmnd.x86_64: E: incorrect-fsf-address /usr/share/doc/wmnd-0.4.15/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmnd-debuginfo.i686: I: checking
wmnd-debuginfo.i686: I: checking-url http://www.thregr.org/~wavexx/software/wmnd/ (timeout 10 seconds)
wmnd-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/wmnd-0.4.15/src/list.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmnd-debuginfo.x86_64: I: checking
wmnd-debuginfo.x86_64: I: checking-url http://www.thregr.org/~wavexx/software/wmnd/ (timeout 10 seconds)
wmnd-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmnd-0.4.15/src/list.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

5 packages and 0 specfiles checked; 4 errors, 0 warnings.
Comment 11 Mario Blättermann 2012-07-11 16:00:32 EDT

*** This bug has been marked as a duplicate of bug 828891 ***

Note You need to log in before you can comment on or make changes to this bug.